Show / Hide Table of Contents

# Struct ImGuiInputTextCallbackDataPtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiInputTextCallbackDataPtr

### Constructors

| Improve this Doc View Source

#### ImGuiInputTextCallbackDataPtr(ImGuiInputTextCallbackData*)

##### Declaration

    public ImGuiInputTextCallbackDataPtr(ImGuiInputTextCallbackData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | nativePtr |

| Improve this Doc View Source

#### ImGuiInputTextCallbackDataPtr(IntPtr)

##### Declaration

    public ImGuiInputTextCallbackDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Buf

##### Declaration

    public IntPtr Buf { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### BufDirty

##### Declaration

    public bool BufDirty { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### BufSize

##### Declaration

    public int BufSize { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BufTextLen

##### Declaration

    public int BufTextLen { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CursorPos

##### Declaration

    public int CursorPos { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EventChar

##### Declaration

    public ushort EventChar { get; }

##### Property Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### EventFlag

##### Declaration

    public ImGuiInputTextFlags EventFlag { get; }

##### Property Value

Type | Description
--- | ---
ImGuiInputTextFlags |

| Improve this Doc View Source

#### EventKey

##### Declaration

    public ImGuiKey EventKey { get; }

##### Property Value

Type | Description
--- | ---
ImGuiKey |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImGuiInputTextFlags Flags { get; }

##### Property Value

Type | Description
--- | ---
ImGuiInputTextFlags |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiInputTextCallbackData*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiInputTextCallbackData* |

| Improve this Doc View Source

#### SelectionEnd

##### Declaration

    public int SelectionEnd { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SelectionStart

##### Declaration

    public int SelectionStart { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UserData

##### Declaration

    public IntPtr UserData { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### DeleteChars(Int32, Int32)

##### Declaration

    public void DeleteChars(int pos, int bytes_count)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |
System.Int32 | bytes_count |

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### HasSelection()

##### Declaration

    public bool HasSelection()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### InsertChars(Int32, String)

##### Declaration

    public void InsertChars(int pos, string text)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | pos |
System.String | text |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiInputTextCallbackData* to ImGuiInputTextCallbackDataPtr)

##### Declaration

    public static implicit operator ImGuiInputTextCallbackDataPtr(ImGuiInputTextCallbackData*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackData* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiInputTextCallbackDataPtr |

| Improve this Doc View Source

#### Implicit(ImGuiInputTextCallbackDataPtr to ImGuiInputTextCallbackData*)

##### Declaration

    public static implicit operator ImGuiInputTextCallbackData*(ImGuiInputTextCallbackDataPtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiInputTextCallbackDataPtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiInputTextCallbackData* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiInputTextCallbackDataPtr)

##### Declaration

    public static implicit operator ImGuiInputTextCallbackDataPtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiInputTextCallbackDataPtr |